Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.sccp
Class SccpAlarmNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--jain.protocol.ss7.oam.OamAlarmNotification
                        |
                        +--jain.protocol.ss7.oam.sccp.SccpAlarmNotification

public class SccpAlarmNotification
extends OamAlarmNotification

A SccpAlarmNotification is an Notification emitted by a Sccp Managed Bean (MBean) to indicate a change in status of the MBean. This state change may result from :

- a create/delete/modify operation by an application that expliciltly changes the state of the MBean.
- a change in the SS7 Network that implicitly changes the state of it's associated MBean.
- a timer within a Timer MBean expiring.

This SccpAlarmNotification should be sent to all applications that have registered with the Sccp MBean as a javax.management.NotificationListener using a filter 'f', where f.isNotificationEnabled(this.getType()) == true.

The Notification class extends the java.util.EventObject base class and defines the minimal information contained in a notification. It contains the following fields:

the notification type, which is a string expressed in a dot notation similar to Java properties.

a sequence number, which is a serial number identifying a particular instance of notification in the context of the notification source

a time stamp, indicating when the notification was generated

a message contained in a string, which could be the explanation of the notification for displaying to a user

userData is used for whatever other data the notification source wishes to communicate to its consumers

Notification sources should use the notification type to indicate the nature of the event to their consumers. When additional information needs to be transmitted to consumers, the source may place it in the message or user data fields.

Inheritance hierarchy for JAIN OAM Notification

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Field Summary
`static int` | `SCCP_ALARM_QOS_HOP_COUNTER_VIOLATION` Alarm Type Constant: Quality Of Service: Hop Counter Violation.
`static int` | `SCCP_ALARM_QOS_NO_REASSEBLY_SPACE` Alarm Type Constant: Quality Of Service: No Reassembly Space.
`static int` | `SCCP_ALARM_QOS_NO_RULE_FOR_ADDR` Alarm Type Constant: Quality Of Service: No Rule For Address .
`static int` | `SCCP_ALARM_QOS_NO_SEGEMENTATION_SUPPORT` Alarm Type Constant: Quality Of Service: No Segmentation Support .
`static int` | `SCCP_ALARM_QOS_NO_TRANSLATOR_FOR_ADDR` Alarm Type Constant: Alarm Type Constant: No Translator For Address ).
`static int` | `SCCP_ALARM_QOS_PC_CONGESTED` Alarm Type Constant: Quality Of Service: Point Code Congested .
`static int` | `SCCP_ALARM_QOS_PC_NOT_AVAILABLE` Alarm Type Constant: Quality Of Service: Point Code Not Available .
`static int` | `SCCP_ALARM_QOS_REASSEMBLY_FAILURE` Alarm Type Constant: Quality Of Service: Reassembly Failure.
`static int` | `SCCP_ALARM_QOS_REASSEMBLY_TIMEOUT` Alarm Type Constant: Quality Of Service: Reassembly TimeOut .
`static int` | `SCCP_ALARM_QOS_ROUTING_FAILURE` Alarm Type Constant: Quality Of Service: Routing Failure (no reason or unqualified).
`static int` | `SCCP_ALARM_QOS_SEGMENT_OUT_OF_ORDER` Alarm Type Constant: Quality Of Service: Segment Out Of Order .
`static int` | `SCCP_ALARM_QOS_SEGMENTATION_FAILURE` Alarm Type Constant: Quality Of Service: Segmentation Failure.
`static int` | `SCCP_ALARM_QOS_SSN_CONGESTED` Alarm Type Constant: Quality Of Service: Subsystem Congested .
`static int` | `SCCP_ALARM_QOS_SSN_UNAVAILABLE` Alarm Type Constant: Quality Of Service: Subsystem Unavailable.
`static int` | `SCCP_ALARM_QOS_SSN_UNEQUIPED` Alarm Type Constant: Quality Of Service: Unequiped Subsystem).
`static int` | `SCCP_ALARM_QOS_SYNTAX_ERROR` Alarm Type Constant: Quality Of Service: Syntax Error Detected .
`static int` | `SCCP_ALARM_QOS_TOO_LARGE` Alarm Type Constant: Quality Of Service: Too Large For Segmentation.
`static int` | `SCCP_ALARM_SSN_ALLOWED_RX` Alarm Type Constant: Sccp Subsystem Availability: Indicates that a Subsystem allowed message has been received.
`static int` | `SCCP_ALARM_SSN_AVAILABLE` Alarm Type Constant: Sccp Subsystem Availability: Indicates that a local SCCP has become available, after being unavailable for any reason.
`static int` | `SCCP_ALARM_SSN_END_PROHIBITED` Alarm Type Constant: Sccp Subsystem Availability: Indicates the end of a Subsystem prohibited.
`static int` | `SCCP_ALARM_SSN_OOS_DENIED` Alarm Type Constant: Sccp Subsystem Availability: Indicates that a subsystem of out-of-service request has been denied.
`static int` | `SCCP_ALARM_SSN_OOS_GRANT` Alarm Type Constant: Sccp Subsystem Availability: Indicates that a subsystem of out-of-service grant message has benn received.
`static int` | `SCCP_ALARM_SSN_START_PROHIBITED` Alarm Type Constant: Sccp Subsystem Availability: Indicates the start of a Subsystem prohibited.
`static int` | `SCCP_ALARM_SSN_UNAVAILABLE_CONGESTION` Alarm Type Constant: Sccp Subsystem Availability: Indicates the start of a local SCCP unavailable due to congestion.
`static int` | `SCCP_ALARM_SSN_UNAVAILABLE_FAILURE` Alarm Type Constant: Sccp Subsystem Availability: Indicates the start of a local SCCP unavailable due to failure.
`static int` | `SCCP_ALARM_SSN_UNAVAILABLE_MAINTENANCE` Alarm Type Constant: Sccp Subsystem Availability: Indicates the start of a local SCCP unavailable due to maintenance.

Fields inherited from class jain.protocol.ss7.oam.OamAlarmNotification
`ALARM_MO_ATTRIBUTE_VALUE_CHANGED, ALARM_MO_CREATED, ALARM_MO_DELETED, ALARM_TIMER_EXPIRED, PRIORITY_CRITICAL, PRIORITY_HIGH, PRIORITY_INFORMATIONAL, PRIORITY_LOW, PRIORITY_VENDOR_DEFINED`

Constructor Summary
`SccpAlarmNotification(OamManagedObjectMBean source, long sequenceNumber, int priority, int alarmType)` Constructs a new `SccpAlarmNotification`.

Method Summary
`java.lang.String` | `toString()` Returns a string representation (with details) of classes which extend this class.

Methods inherited from class jain.protocol.ss7.oam.OamAlarmNotification
`getAlarmType, getPriority, getTimerId, getTimestamp, setPriority, setTimerId`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SCCP_ALARM_SSN_UNAVAILABLE_FAILURE

    public static final int SCCP_ALARM_SSN_UNAVAILABLE_FAILURE

  Alarm Type Constant: Sccp Subsystem Availability: Indicates the start of a local SCCP unavailable due to failure.

  Emitted By: SccpSapMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.ssn_unavailable_failure".

### SCCP_ALARM_SSN_UNAVAILABLE_MAINTENANCE

    public static final int SCCP_ALARM_SSN_UNAVAILABLE_MAINTENANCE

  Alarm Type Constant: Sccp Subsystem Availability: Indicates the start of a local SCCP unavailable due to maintenance.

  Emitted By: SccpSapMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.ssn_unavailable_maintenance".

### SCCP_ALARM_SSN_UNAVAILABLE_CONGESTION

    public static final int SCCP_ALARM_SSN_UNAVAILABLE_CONGESTION

  Alarm Type Constant: Sccp Subsystem Availability: Indicates the start of a local SCCP unavailable due to congestion.

  Emitted By: SccpSapMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.ssn_unavailable_congestion".

### SCCP_ALARM_SSN_AVAILABLE

    public static final int SCCP_ALARM_SSN_AVAILABLE

  Alarm Type Constant: Sccp Subsystem Availability: Indicates that a local SCCP has become available, after being unavailable for any reason.

  Emitted By: SccpSapMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.ssn_available".

### SCCP_ALARM_SSN_OOS_GRANT

    public static final int SCCP_ALARM_SSN_OOS_GRANT

  Alarm Type Constant: Sccp Subsystem Availability: Indicates that a subsystem of out-of-service grant message has benn received.

  Emitted By: SccpSapMBean Reference: (ITU Q.714, 5.3.5.3)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.ssn_oos_grant".

### SCCP_ALARM_SSN_OOS_DENIED

    public static final int SCCP_ALARM_SSN_OOS_DENIED

  Alarm Type Constant: Sccp Subsystem Availability: Indicates that a subsystem of out-of-service request has been denied.

  Emitted By: SccpSapMBean Reference: (ITU Q.714, 5.3.5.3)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.ssn_oos_denied".

### SCCP_ALARM_SSN_START_PROHIBITED

    public static final int SCCP_ALARM_SSN_START_PROHIBITED

  Alarm Type Constant: Sccp Subsystem Availability: Indicates the start of a Subsystem prohibited.

  Emitted By: SccpSapMBean Reference: (ITU Q.714, 5.3.2)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.ssn_start_prohibited".

### SCCP_ALARM_SSN_END_PROHIBITED

    public static final int SCCP_ALARM_SSN_END_PROHIBITED

  Alarm Type Constant: Sccp Subsystem Availability: Indicates the end of a Subsystem prohibited.

  Emitted By: SccpSapMBean Reference: (ITU Q.714, 5.3.2)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.ssn_end_prohibited".

### SCCP_ALARM_SSN_ALLOWED_RX

    public static final int SCCP_ALARM_SSN_ALLOWED_RX

  Alarm Type Constant: Sccp Subsystem Availability: Indicates that a Subsystem allowed message has been received.

  Emitted By: SccpSapMBean Reference: (ITU q.714, 5.3.3)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.ssn_allowed_rx".

### SCCP_ALARM_QOS_TOO_LARGE

    public static final int SCCP_ALARM_QOS_TOO_LARGE

  Alarm Type Constant: Quality Of Service: Too Large For Segmentation. This notification is sent by the SCLC when the length of the user data is greater than 3952 octets.

  Emitted By: SccpSapMBean Reference: (ITU Q.752, 7.14)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_too_large".

### SCCP_ALARM_QOS_REASSEMBLY_TIMEOUT

    public static final int SCCP_ALARM_QOS_REASSEMBLY_TIMEOUT

  Alarm Type Constant: Quality Of Service: Reassembly TimeOut . This notification is sent by one of the Reassembly Timers when this timer expires. This measurement is obligatory at SCCP nodes where SCCP segmentation and reassembly is supported.

  Emitted By: SccpRoutingControlMBean Reference: (ITU Q.752/7.10)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_reassembly_timeout".

### SCCP_ALARM_QOS_SEGMENT_OUT_OF_ORDER

    public static final int SCCP_ALARM_QOS_SEGMENT_OUT_OF_ORDER

  Alarm Type Constant: Quality Of Service: Segment Out Of Order . This notification is generated if one of the reassembly processes receives a segment that is out of order. This measurement is obligatory at SCCP nodes where SCCP segmentation and reassembly is supported.

  Emitted By: SccpRoutingControlMBean Reference: (ITU Q.752/7.11)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_segment_out_of_order".

### SCCP_ALARM_QOS_NO_REASSEBLY_SPACE

    public static final int SCCP_ALARM_QOS_NO_REASSEBLY_SPACE

  Alarm Type Constant: Quality Of Service: No Reassembly Space. This notification is sent by the SCLC to indicate a resource limitation when the first segment of a sequence is received. This measurement is obligatory at SCCP nodes where SCCP segmentation and reassembly is supported.

  Emitted By: SccpRoutingControlMBean Reference: (ITU Q.752/7.12)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_no_reassembly_space".

### SCCP_ALARM_QOS_NO_SEGEMENTATION_SUPPORT

    public static final int SCCP_ALARM_QOS_NO_SEGEMENTATION_SUPPORT

  Alarm Type Constant: Quality Of Service: No Segmentation Support . This notification is sent by the SCLC when a message has to be segmented but the segmentation function is not implemented.

  Emitted By: SccpRoutingControlMBean Reference: (ITU Q.752/7.19)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_no_segmentation_support".

### SCCP_ALARM_QOS_SEGMENTATION_FAILURE

    public static final int SCCP_ALARM_QOS_SEGMENTATION_FAILURE

  Alarm Type Constant: Quality Of Service: Segmentation Failure. This notification is sent by the SCLC to indicate that segmentation failed due to, for example, a lack of resources.

  Emitted By: SccpSapMBean Reference: (ITU Q.752/7.20)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_segmentation_failure".

### SCCP_ALARM_QOS_REASSEMBLY_FAILURE

    public static final int SCCP_ALARM_QOS_REASSEMBLY_FAILURE

  Alarm Type Constant: Quality Of Service: Reassembly Failure.

  Emitted By: SccpRoutingControlMBean Reference: (ITU Q.752/7.21)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_reassembly_failure".

### SCCP_ALARM_QOS_NO_TRANSLATOR_FOR_ADDR

    public static final int SCCP_ALARM_QOS_NO_TRANSLATOR_FOR_ADDR

  Alarm Type Constant: Alarm Type Constant: No Translator For Address ). The failure occurs when the translation of the Global Title fails because the type of address is unknown to the translation function. This measurement is only required at SCCP nodes with global title translation capabilities.

  Emitted By: SccpRoutingControlMBean Reference: (ITU Q.752/7.1)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_no_translation_for_addr".

### SCCP_ALARM_QOS_NO_RULE_FOR_ADDR

    public static final int SCCP_ALARM_QOS_NO_RULE_FOR_ADDR

  Alarm Type Constant: Quality Of Service: No Rule For Address . The failure occurs when the translation of the Global Title fails because the address cannot be translated although the type is known to the translation function. This measurement is only required at SCCP nodes with global title translation capabilities.

  Emitted By: SccpRoutingControlMBean Reference: (ITU Q.752/7.2)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_no_rule_for_addr".

### SCCP_ALARM_QOS_PC_NOT_AVAILABLE

    public static final int SCCP_ALARM_QOS_PC_NOT_AVAILABLE

  Alarm Type Constant: Quality Of Service: Point Code Not Available . The failure occurs when the translation of the Global Title fails because no available route could be found for the concerned destination address, due to failures in MTP and/or SCCP.

  Emitted By: SccpRoutingControlMBean Reference: (ITU Q.752/7.31)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_pc_not_available".

### SCCP_ALARM_QOS_PC_CONGESTED

    public static final int SCCP_ALARM_QOS_PC_CONGESTED

  Alarm Type Constant: Quality Of Service: Point Code Congested . The failure occurs when the translation of the Global Title fails because no available route could be found for the concerned destination address, due to congestion in MTP and/or SCCP.

  Emitted By: SccpRoutingControlMBean Reference: (ITU Q.752/7.4)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_pc_congested".

### SCCP_ALARM_QOS_SSN_UNAVAILABLE

    public static final int SCCP_ALARM_QOS_SSN_UNAVAILABLE

  Alarm Type Constant: Quality Of Service: Subsystem Unavailable. The failure occurs when the translation of the Global Title fails because no available route could be found for the concerned destination address, due to failures in the SCCP subsystem.

  Emitted By: SccpSapMBean Reference: (ITU Q.752/7.5)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_ssn_unavailable".

### SCCP_ALARM_QOS_SSN_CONGESTED

    public static final int SCCP_ALARM_QOS_SSN_CONGESTED

  Alarm Type Constant: Quality Of Service: Subsystem Congested . The failure occurs when the translation of the Global Title fails because no available route could be found for the concerned destination address, due to congestion in the SCCP subsystem.

  Emitted By: SccpSapMBean Reference: (ITU Q.752/7.6)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_ssn_congested".

### SCCP_ALARM_QOS_SSN_UNEQUIPED

    public static final int SCCP_ALARM_QOS_SSN_UNEQUIPED

  Alarm Type Constant: Quality Of Service: Unequiped Subsystem). The failure occurs when the received SSN is unequipped in the local node.

  Emitted By: SccpSapMBean Reference: (ITU Q.752/7.7)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_ssn_unequiped".

### SCCP_ALARM_QOS_SYNTAX_ERROR

    public static final int SCCP_ALARM_QOS_SYNTAX_ERROR

  Alarm Type Constant: Quality Of Service: Syntax Error Detected . The failure occurs when syntax errors are detected in the SCCP message.

  Emitted By: SccpSapMBean Reference: (ITU Q.752/7.8)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_syntax_error".

### SCCP_ALARM_QOS_ROUTING_FAILURE

    public static final int SCCP_ALARM_QOS_ROUTING_FAILURE

  Alarm Type Constant: Quality Of Service: Routing Failure (no reason or unqualified).

  Emitted By: SccpRoutingControlMBean Reference: (ITU Q.752/7.9)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_routing_failure".

### SCCP_ALARM_QOS_HOP_COUNTER_VIOLATION

    public static final int SCCP_ALARM_QOS_HOP_COUNTER_VIOLATION

  Alarm Type Constant: Quality Of Service: Hop Counter Violation.
  A Hop Counter Violation occurs when the Hop Counter is zero. The Hop Counter is used to detect circular routings. This counter is decremented each time a Global Title translation occurs. The Hop Counter is only part of specific SCCP messages: Extended Unitdata, Extended Unitdata Service, CR and LUDT(S).

  Emitted By: SccpRoutingControlMBean Reference: (ITU Q.752/7.13)
  Notification Type: "jain.protocol.ss7.oam.sccp.alarm.qos_hop_counter_violation".

Constructor Detail

### SccpAlarmNotification

    public SccpAlarmNotification(OamManagedObjectMBean source,
                                 long sequenceNumber,
                                 int priority,
                                 int alarmType)
                          throws java.lang.IllegalArgumentException

  Constructs a new `SccpAlarmNotification`.
  Parameters:
    `source` - The Managed MBean that emitted this Notification.
    `sequenceNumberThe` - notification sequence number within the source object.
    `priority` - The priority of this SccpAlarmNotification. This may be either (in increasing order of priority):

    1. PRIORITY_INFORMATIONAL - The cause of this event does not affect the functional state of the system and may be ignored.
       This SccpAlarmNotification is for purely informational purposes only.
    2. PRIORITY_LOW - Indicates that the state of the MBean that emitted this SccpAlarmNotification has changed as a result of an operation explicitly invoked by an application.
    3. PRIORITY_HIGH - Indicates that the physical network element associated with the MBean that emitted this SccpAlarmNotification has gone out of service.
       Without corrective action, service reliability can be severely affected.
    4. PRIORITY_CRITICAL Indicates the complete failure of the physical netwrok element associated with the MBean that emitted this SccpAlarmNotification. Immediate recovery action is required.
    `alarmType` - The type of this alarm. This may be any one of the Alarm Type constants defined in this class, or one of those inherited from OamAlarmNotification.
  Throws:
    java.lang.IllegalArgumentException - - If any of the supplied parameters are invalid

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation (with details) of classes which extend this class. Over rides standard JAVA toString method.
  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems